Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cocoon.sitemap.node
Enum InvocationResult

    java.lang.Object
      java.lang.Enum<InvocationResult>
          org.apache.cocoon.sitemap.node.InvocationResult

All Implemented Interfaces:
  Serializable, Comparable<InvocationResult>

    public enum InvocationResult

extends Enum<InvocationResult>

Enum Constant Summary
`BREAK`
`COMPLETED`
`CONTINUE`
`NONE`

Method Summary
`boolean` | `isCompleted()`
`boolean` | `isContinued()`
`static InvocationResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InvocationResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final InvocationResult NONE

### CONTINUE

    public static final InvocationResult CONTINUE

### BREAK

    public static final InvocationResult BREAK

### COMPLETED

    public static final InvocationResult COMPLETED

Method Detail

### values

    public static InvocationResult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InvocationResult c : InvocationResult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InvocationResult valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isCompleted

    public boolean isCompleted()

### isContinued

    public boolean isContinued()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.